export declare function useActivePanel(): {
    active: import('vue').ComputedRef<{
        readonly panelType: import('../../../../domain/active/active-types').PanelType;
        readonly modelId?: string | undefined;
        readonly context: {
            readonly mainModelKey?: string | undefined;
            readonly subFieldKey?: string | undefined;
            readonly isDataGroup2DClicked?: boolean | undefined;
            readonly regionId?: string | undefined;
            readonly secRefId?: string | undefined;
        };
    } | null | undefined>;
    widget: import('vue').ComputedRef<any>;
    schemaKey: import('vue').ComputedRef<string | null>;
    schema: import('vue').ComputedRef<import('../../../../capabilities/panel/schema/types').PanelSchema | null | undefined>;
};
